Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalProgressBarUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ProgressBarUI
                  |
                  +--javax.swing.plaf.basic.BasicProgressBarUI
                        |
                        +--javax.swing.plaf.metal.MetalProgressBarUI

public class MetalProgressBarUI
extends BasicProgressBarUI

The Metal implementation of ProgressBarUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`BasicProgressBarUI.ChangeHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`changeListener, progressBar`

Constructor Summary
`MetalProgressBarUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent c)` Returns an instance of the UI delegate for the specified component.
`void` | `paintDeterminate(Graphics g, JComponent c)` Draws a bit of special highlighting on the progress bar.
`void` | `paintIndeterminate(Graphics g, JComponent c)` Draws a bit of special highlighting on the progress bar and bouncing box.

Methods inherited from class javax.swing.plaf.basic.BasicProgressBarUI
`getAmountFull, getAnimationIndex, getBox, getCellLength, getCellSpacing, getMaximumSize, getMinimumSize, getPreferredInnerHorizontal, getPreferredInnerVertical, getPreferredSize, getSelectionBackground, getSelectionForeground, getStringPlacement, incrementAnimationIndex, installDefaults, installListeners, installUI, paint, paintString, setAnimationIndex, setCellLength, setCellSpacing, startAnimationTimer, stopAnimationTimer, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalProgressBarUI

    public MetalProgressBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Description copied from class: `ComponentUI`
  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### paintDeterminate

    public void paintDeterminate(Graphics g,
                                 JComponent c)

  Draws a bit of special highlighting on the progress bar. The core painting is deferred to the BasicProgressBar's `paintDeterminate` method.

  Overrides:
    `paintDeterminate` in class `BasicProgressBarUI`
  See Also:
    `BasicProgressBarUI.paintIndeterminate(java.awt.Graphics, javax.swing.JComponent)`

### paintIndeterminate

    public void paintIndeterminate(Graphics g,
                                   JComponent c)

  Draws a bit of special highlighting on the progress bar and bouncing box. The core painting is deferred to the BasicProgressBar's `paintIndeterminate` method.

  Overrides:
    `paintIndeterminate` in class `BasicProgressBarUI`
  See Also:
    `BasicProgressBarUI.paintDeterminate(java.awt.Graphics, javax.swing.JComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.